"use strict";Object.defineProperty(exports,"__esModule",{value:true});function _export(target,all){for(var name in all)Object.defineProperty(target,name,{enumerable:true,get:all[name]})}_export(exports,{ModuleErrorType:()=>ModuleErrorType,analyseJsDependenies:()=>analyseJsDependenies,analyseSingeFile:()=>analyseSingeFile,Analyzer:()=>Analyzer,FileHelper:()=>FileHelper,findAllDescendant:()=>findAllDescendant,Graph:()=>Graph,IDep:()=>IDep,IModule:()=>IModule});const _path=_interopRequireWildcard(require("path"));const _glob=_interopRequireWildcard(require("glob"));const _fsExtra=_interopRequireWildcard(require("fs-extra"));const _lodash=require("lodash");const _parser=_interopRequireDefault(require("./parser"));const _acorn=require("./acorn/index");const _wxssParser=_interopRequireDefault(require("./wxssParser"));const _wxmlParser=_interopRequireDefault(require("./wxmlParser"));const _chokidar=require("chokidar");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _getRequireWildcardCache(nodeInterop){if(typeof WeakMap!=="function")return null;var cacheBabelInterop=new WeakMap;var cacheNodeInterop=new WeakMap;return(_getRequireWildcardCache=function(nodeInterop){return nodeInterop?cacheNodeInterop:cacheBabelInterop})(nodeInterop)}function _interopRequireWildcard(obj,nodeInterop){if(!nodeInterop&&obj&&obj.__esModule){return obj}if(obj===null||typeof obj!=="object"&&typeof obj!=="function"){return{default:obj}}var cache=_getRequireWildcardCache(nodeInterop);if(cache&&cache.has(obj)){return cache.get(obj)}var newObj={};var hasPropertyDescriptor=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var key in obj){if(key!=="default"&&Object.prototype.hasOwnProperty.call(obj,key)){var desc=hasPropertyDescriptor?Object.getOwnPropertyDescriptor(obj,key):null;if(desc&&(desc.get||desc.set)){Object.defineProperty(newObj,key,desc)}else{newObj[key]=obj[key]}}}newObj.default=obj;if(cache){cache.set(obj,newObj)}return newObj}function _t(input,options){return _acorn.Parser.parse(input,options)}const h={".wxml":true,".wxss":true,".wxs":true,".png":true,".jpg":true,".jpeg":true,".gif":true,".svg":true,".js":true,".json":true,".cer":true,".mp3":true,".aac":true,".m4a":true,".mp4":true,".wav":true,".ogg":true,".silk":true,".wasm":true,".br":true,".cur":true,".ico":true,".skel":true,".crt":true,".cert":true},l={".png":true,".jpg":true,".jpeg":true,".gif":true,".svg":true,".js":true,".json":true,".cer":true,".obj":true,".dae":true,".fbx":true,".mtl":true,".stl":true,".3ds":true,".mp3":true,".pvr":true,".wav":true,".plist":true,".ttf":true,".fnt":true,".gz":true,".ccz":true,".m4a":true,".mp4":true,".bmp":true,".atlas":true,".swf":true,".ani":true,".part":true,".proto":true,".bin":true,".sk":true,".mipmaps":true,".txt":true,".zip":true,".ogg":true,".silk":true,".dbbin":true,".dbmv":true,".etc":true,".lmat":true,".lm":true,".ls":true,".lh":true,".lani":true,".lav":true,".lsani":true,".ltc":true,".csv":true,".scene":true,".prefab":true,".lml":true,".lmani":true,".ktx":true,".dds":true,".xml":true,".aac":true,".pkm":true,".skel":true,".cur":true,".ico":true,".wasm":true,".br":true,".gltf":true,".glb":true,".astc":true,".dat":true,".tt":true},p=["node_modules/**/*","**/node_modules/**","**/.git/**",".git/**/*","**/.svn/**",".svn/**/*",".DS_Store","**/.DS_Store"];function u(e,ext="js"){return e.endsWith(`.${ext}`)?e:`${e}.${ext}`}function d(dirname,request,ext,fileHelper){const r=_path.posix.join(dirname,"miniprogram_npm/");let n;if(fileHelper.existDir(r)){n=_path.posix.join(r,request);n=u(n,ext);if(fileHelper.existFile(n)){return n}n=_path.posix.join(r,request,`index.${ext}`);if(fileHelper.existFile(n)){return n}}if(dirname.startsWith(".")||"/"===dirname){return null}const o=_path.posix.join(dirname,"../");return o===dirname?null:d(o,request,ext,fileHelper)}function f(modulePath,request,ext,fileHelper){const r=modulePath.endsWith("/")?modulePath:_path.posix.dirname(modulePath);let n=null;if(request.startsWith("/")){n=request.replace(/^\//,"");if("js"===ext){n=_path.posix.join(r,n)}}else{n=_path.posix.join(r,request)}let o=u(n,ext);if("json"===ext){for(;o.startsWith("../");){o=o.replace(/^..\//,"")}}if(fileHelper.existFile(o)){return o}if("json"===ext&&fileHelper.existFile(`${n}/index.json`)){return`${n}/index.json`}if("js"===ext||"json"===ext){try{n=d(_path.posix.dirname(modulePath),request,ext,fileHelper);if(n)return n}catch(e){console.error(e)}}return null}async function analyseJsDependenies(startPath,fileHelper){const s="string"===typeof startPath?[startPath]:startPath;const i=s.map(e=>new ModuleTypeIDep("Js",e,null,fileHelper,false,true)),r=new Graph({fileHelper:fileHelper});if(await r.build(i),i[0].error)throw i[0].error;return{startModules:i.map(e=>e.module),modules:r.modules}}async function analyseSingeFile(filePath,fileHelper){const _path1=_path.posix.extname(filePath);const moduleMap={".js":"Js",".wxs":"Wxs",".wxml":"Wxml",".wxss":"Wxss"};const s=moduleMap[_path1];if(!s)throw new Error("Unsupported file");const i=new ModuleTypeIDep(s,filePath,null,fileHelper,false,false);i.path=filePath;const r=as(fileHelper,i),n=new GraphContext({fileHelper:fileHelper}),o=await r.build(n);await Promise.all(o.map(e=>{try{e.resolve(n)}catch(e1){}}));return o}let Analyzer=class Analyzer{getEntryDep(){switch(this.type){case"miniprogram":return new MainPackageIDep(this.fileHelper);case"plugin":return new PluginPackageIDep(this.fileHelper);case"game":return new GameMainPackageIDep(this.fileHelper);case"gamePlugin":throw new Error("not support gamePlugin yet")}}async analyse(){this.invalid=!1;const e=this.getEntryDep();const t=this.graph;this.graph=new Graph({fileHelper:this.fileHelper,pluginDriver:this},t);this.callPlugin("beforeAnalyseProcessStart",this.graph,t);await this.graph.build(e);this.modules=this.graph.modules;this.callPlugin("afterAnalyseProcessComplete",this.graph);this.invalid&&this.analyse()}watch(callback){this.fileHelper.watchFileChange(async()=>{this.graph&&"building"===this.graph.status?this.invalid=!0:(await this.analyse(),callback())})}serialize(){if(this.graph){const files=function(e){const t=Object.keys(h);return e.getFileList("").filter(e=>t.indexOf(_path.posix.extname(e))>=0).map(t=>{const s=e.stat(t);return{path:t,ext:_path.extname(t),size:s.size,moduleId:null,subPackage:null}})}(this.fileHelper);this.graph.modules.forEach(e=>{if("SubPackage"===e.type){const s=e.path;files.forEach(t=>{if(t.path.startsWith(s)){t.subPackage=e.path}})}const s1=files.find(t=>t.path===e.path);if(s1){s1.moduleId=e.id}});const t={files:files,modules:this.graph.modules.map(e=>{const t=e.serialize();return this.callPlugin("onModuleSerialize",e,t),t})};this.callPlugin("onSerialize",t);return t}}callPlugin(event,...args){this.plugins.forEach(s=>{if(s[event])try{s[event].apply(s,args)}catch(t){console.error(`plugin ${s.name} call ${event}  occur some error`,t)}})}constructor(option){this.root="";this.modules=[];this.graph=void 0;this.invalid=!1;this.root=option.root;this.type=option.type;this.plugins=option.plugins||[];this.fileHelper=option.fileHelper?option.fileHelper:new FileHelper(option.root,option.type,option.DSL);this.callPlugin("created",this)}};let FileHelper=class FileHelper{cacheDirName(e){if(!this.dirSet.has(e)){this.dirSet.add(e);this.cacheDirName(_path.posix.dirname(e))}}get lastChange(){return this._lastChange}get pattern(){let DSLExtNames="";if(this.DSL){const{wxml,wxss,wxs}=this.DSL;DSLExtNames=wxml.concat(wxss,wxs).join(",.");DSLExtNames=",."+DSLExtNames}return"miniprogram"===this.type||"plugin"===this.type?"**/*{"+Object.keys(h).join(",")+DSLExtNames+"}":"**/*{"+Object.keys(l).join(",")+"}"}init(){const files=_glob.sync(this.pattern,{nodir:false,ignore:[...p],nosort:true,strict:false,silent:true,cwd:this.root,absolute:false,mark:true,dot:true});for(const file of files){if(file.endsWith("/")){this.cacheDirName(file.replace(/\/$/,""))}else{this.fileSet.add(file);this.cacheDirName(_path.posix.dirname(file))}}}stat(filePath){const t=_path.posix.join(this.root,filePath);if(this.exist(filePath)){const e=_fsExtra.statSync(t);return{isFile:e.isFile(),isDirectory:e.isDirectory(),size:e.size,mtime:e.mtimeMs}}}mtime(filePath){const t=this.stat(filePath);return t?t.mtime:0}exist(filePath){return this.fileSet.has(filePath)||this.dirSet.has(filePath)}existFileByDSL(filePath,moduleType){const type=moduleType.toLocaleLowerCase();let exist=false;let dsl="";exist=this.fileSet.has(filePath);if(!exist&&this.DSL&&this.DSL[type]){exist=this.DSL[type].some(i=>{const extname=_path.extname(filePath);const res=this.fileSet.has(filePath.replace(extname,"."+i));dsl=i;return res})}return{exist,dsl}}existDir(filePath){if(filePath.endsWith("/")){filePath=filePath.replace(/\/$/,"")}return this.dirSet.has(filePath)}existFile(filePath){return this.fileSet.has(filePath)}getDSL(type){return this.DSL?this.DSL[type]:[]}getFileList(prefix,extName){return Array.from(this.fileSet).filter(s=>(!extName||_path.posix.extname(s)===extName)&&!(prefix&&!s.startsWith(prefix)))}async getString(filePath){return _fsExtra.readFile(_path.join(this.root,filePath),"utf-8")}async getJSON(filePath){const t=await this.getString(filePath);try{return JSON.parse(t)}catch(e){}}async readdir(dirPath){return _fsExtra.readdir(_path.join(this.root,dirPath))}async onFileChange(type,targetPath){if("add"===type){this.cacheDirName(_path.posix.dirname(targetPath));this.fileSet.add(targetPath)}"addDir"===type&&this.cacheDirName(targetPath);"unlink"===type&&this.fileSet.has(targetPath)&&this.fileSet.delete(targetPath);if("unlinkDir"===type&&this.dirSet.has(targetPath)){this.dirSet.delete(targetPath);const e=`${targetPath}/`,s=Array.from(this.dirSet);for(const t of s){0===t.indexOf(e)&&this.dirSet.delete(t)}const i=Array.from(this.fileSet);for(const t1 of i){0===t1.indexOf(e)&&this.fileSet.delete(t1)}}}watchFileChange(callback){const t=(0,_chokidar.watch)(this.pattern,{cwd:this.root,ignored:"**/miniprogram-analyse-result.json"}),s=(0,_lodash.debounce)(callback,200);let r=false;t.on("all",(type,targetPath)=>{this._lastChange=Date.now();this.onFileChange(type,targetPath);r&&s()}).on("error",e=>console.log(`Watcher error: ${e}`)).on("ready",()=>{r=true;console.log("Initial scan complete. Ready for changes")})}constructor(root,type="miniprogram",DSL){this.root=root;this.type=type;this.DSL=DSL;this.dirSet=new Set;this.fileSet=new Set;this._lastChange=0;this.init()}};function findAllDescendant(mod,type){const s=Array.isArray(mod)?mod:[mod];const i=s.slice(0),r=[],a=[];for(;i.length>0;){const e=i.pop();r.push(e);e.childModules.forEach(e=>{if(i.indexOf(e)<0&&r.indexOf(e)<0){i.push(e);e.type===type&&a.push(e)}})}return a}let GraphContext=class GraphContext{initMiniprogram(){return{useExtendedPackages:[]}}setResolveAlias(resolveAlias){if(resolveAlias){this.resolveAliasConf=[];Object.keys(resolveAlias).forEach(t=>{let key=t;if(t.endsWith("*")){key=key.slice(0,-1)}let value=resolveAlias[t];if(resolveAlias[t].endsWith("*")){value=value.slice(0,-1)}this.resolveAliasConf.push({key:key,value:value})})}}resolveJsFromAlias(request){if(!this.resolveAliasConf)return;let t={key:"",value:""},s=false;this.resolveAliasConf.forEach(i=>{if(request.startsWith(i.key)&&t.key.length<i.key.length){t=i;s=true}});if(!s)return;let i=request.replace(t.key,t.value);if("/"===i[0]){i=i.slice(1)}return i}constructor(options){this.fileHelper=options.fileHelper;this.es6Parser={isLayaGame:false};this.miniprogram=this.initMiniprogram()}};var ModuleErrorType;(function(ModuleErrorType){ModuleErrorType["APP_JSON_NOT_FOUND"]="APP_JSON_NOT_FOUND";ModuleErrorType["COMP_JSON_NOT_FOUND"]="COMP_JSON_NOT_FOUND";ModuleErrorType["PLUGIN_JSON_NOT_FOUND"]="PLUGIN_JSON_NOT_FOUND";ModuleErrorType["FILE_NOT_FOUND"]="FILE_NOT_FOUND";ModuleErrorType["FILE_NOT_UTF8"]="FILE_NOT_UTF8";ModuleErrorType["JSON_PARSE_ERR"]="JSON_PARSE_ERR";ModuleErrorType["WXML_PARSE_ERR"]="WXML_PARSE_ERR";ModuleErrorType["WXSS_PARSE_ERR"]="WXSS_PARSE_ERR";ModuleErrorType["JS_PARSE_ERR"]="JS_PARSE_ERR";ModuleErrorType["JS_RESOLVE_DEPENDENCY_ERR"]="JS_RESOLVE_DEPENDENCY_ERR";ModuleErrorType["WORKER_DIR_NOT_EXIST"]="WORKER_DIR_NOT_EXIST"})(ModuleErrorType||(ModuleErrorType={}));let Graph=class Graph{get modules(){return this._modules}processDep(dep){let t=this.getModule(dep.type,dep.path);if(t){t.addParentDep(dep)}else{if(this.prevGraph){t=this.prevGraph.getModule(dep.type,dep.path);if(t&&t.isValid()){t.parentDeps.clear(),t.addParentDep(dep),this.modules.push(t),this.pendingTasks.push({module:t,type:"reuse"})}else{t=undefined}}if(!t){t=as(this.fileHelper,dep);t.addParentDep(dep);this.modules.push(t);this.pendingTasks.push({module:t,type:"build"})}}}async processDeps(e){await Promise.all(e.map(async e=>{try{var ref;await e.resolve(this.graphContext)&&this.processDep(e),(ref=this.pluginDriver)==null?void 0:ref.callPlugin("onDepResolveSucceed",e)}catch(t){var ref1;(ref1=this.pluginDriver)==null?void 0:ref1.callPlugin("onDepResolveFailed",e,t)}}))}async processTask(e){const pluginDriver=this.pluginDriver;const startTime=Date.now(),module=e.module;let l=[];pluginDriver&&pluginDriver.callPlugin("beforeModuleBuild",module,e.type);if("build"===e.type){let buildError=null;try{l=await module.build(this.graphContext)}catch(t){buildError=t}const t1=Date.now()-startTime;if(buildError){module.buildError=buildError;pluginDriver&&pluginDriver.callPlugin("onModuleBuildFailed",module,t1,buildError)}else{pluginDriver&&pluginDriver.callPlugin("onModuleBuildSucceed",module,t1)}pluginDriver&&pluginDriver.callPlugin("afterModuleBuild",module,t1,buildError)}else{if(module.buildError){pluginDriver&&pluginDriver.callPlugin("onModuleReuseFailed",module,module.buildError)}else{"reuse"in module&&module.reuse(this.graphContext);pluginDriver&&pluginDriver.callPlugin("onModuleReuse",module)}l=Array.from(module.deps)}await this.processDeps(l);this.runningTasks.splice(this.runningTasks.indexOf(e),1);this.run()}run(){const e=100-this.runningTasks.length;if(e>0&&this.pendingTasks.length>0){const t=e>this.pendingTasks.length?this.pendingTasks.length:e,s=this.pendingTasks.slice(0,t);this.pendingTasks=this.pendingTasks.slice(t);this.runningTasks=this.runningTasks.concat(s);s.forEach(e=>{this.processTask(e)})}0===this.pendingTasks.length&&0===this.runningTasks.length&&this.resolve(true)}getModule(e,t){return this._modules.find(s=>s.type===e&&s.path===t)}async build(dep){this.status="building";const t=Date.now();if(Array.isArray(dep)){const t1=dep;for(const e of t1){await this._build(e)}}else{await this._build(dep)}this._modules=this._modules.sort((e,t)=>e.id>t.id?1:-1);this.costTime=Date.now()-t;this.status="completed"}async _build(dep){if(await dep.resolve(this.graphContext)){await new Promise((resolve,reject)=>{this.resolve=resolve;this.processDep(dep);this.run()})}}constructor(options,prevGraph){this.status="inited";this.pluginDriver=undefined;this._modules=[];this.prevGraph=undefined;this.costTime=0;this.runningTasks=[];this.pendingTasks=[];this.resolve=null;this.fileHelper=options.fileHelper;this.pluginDriver=options.pluginDriver;this.prevGraph=prevGraph;this.graphContext=new GraphContext(options)}};let IDep=class IDep{serialize(){return{from:this.from,type:this.type,request:this.request,path:this.path,moduleId:this.module?this.module.id:null,originModuleId:this.originModule.id,error:this.error?this.error.message:null}}markError(e){this.error=e;return e}clearError(){this.error=null}async resolve(graphContext){return false}constructor(type,request,originModule){this.from="rule";this.path=null;this.module=null;this.originModule=null;this.error=null;this.type=type;this.request=request;this.originModule=originModule}};let ModuleTypeIDep=class ModuleTypeIDep extends IDep{async resolve(graphContext){this.clearError();if(this.needResolve){let isJsFile;if("Js"===this.type){if(graphContext.miniprogram.useExtendedPackages.find(e=>this.request.startsWith(e+"/")||this.request===e))return this.isUseExtenedLib=true,this.path=null,false;isJsFile=graphContext.resolveJsFromAlias(this.request)}const type=this.type.toLowerCase();const DSL=this.fileHelper.getDSL(type)||[];this.path=isJsFile?f("",isJsFile,this.type.toLowerCase(),this.fileHelper):f(this.originModule.path,this.request,type,this.fileHelper);if(DSL.length&&!this.path){for(let i=0;i<DSL.length;i++){if(DSL[i]!==type){this.path=f(this.originModule.path,this.request,DSL[i],this.fileHelper);if(this.path)break}}}}else{this.path=this.request}if(this.path){const{exist,dsl}=this.fileHelper.existFileByDSL(this.path,this.type);if(exist){if(dsl){const extname=_path.extname(this.path);this.path=this.path.replace(extname,"."+dsl);this.request=this.request.endsWith(extname)?this.request.replace(extname,"."+dsl):this.request+="."+dsl}return true}}if(this.necessary){throw this.originModule?this.markError(new Error(`Couldn't resolve the ${this.type} file "${this.request}" relative to "${this.originModule.path}"`)):this.markError(new Error(`Couldn't resolve the ${this.type} file "${this.request}"`))}return false}constructor(type,request,originModule,fileHelper,needResolve=false,necessary=true){super(type,request,originModule);this.fileHelper=fileHelper;this.needResolve=needResolve;this.necessary=necessary;this.isUseExtenedLib=false;originModule&&("MainPackage"===originModule.type||"Page"===originModule.type||"Component"===originModule.type)?this.from="rule":this.from="file"}};let ContextModuleIDep=class ContextModuleIDep extends IDep{async resolve(){if(this.clearError(),this.needResolve)if(this.request.startsWith("/"))this.context=this.request.replace(/^\//,"");else{const e=_path.posix.dirname(this.originModule.path);this.context=_path.posix.join(e,this.request)}else{this.context=this.request}if(this.fileHelper.existDir(this.context)){this.path=this.context+"/("+this.regExp.source+")";return true}if(this.necessary)throw this.markError(new Error(`Couldn't find the directory "${this.request}" relative to "${this.originModule.path}"`));return false}constructor(config){const{type,request,regExp,originModule,fileHelper,needResolve=false,necessary=true,from="file"}=config;super("ContextModule",request,originModule);this.needResolve=false;this.necessary=true;this.fileType="Js"===type?"js":"wxs";this.fileHelper=fileHelper;this.regExp=regExp;this.needResolve=needResolve;this.necessary=necessary;this.from=from;this.context=request}};let ComponentIDep=class ComponentIDep extends IDep{async resolve(graphContext){this.clearError();if(this.request.startsWith("plugin://")||this.request.startsWith("plugin-private://")){this.isPlugin=true;this.path=null;return false}if(graphContext.miniprogram.useExtendedPackages.find(e=>this.request.startsWith(e+"/")||this.request===e)){this.isUseExtenedLib=true;this.path=null;return false}this.path=f(this.originModule.path,this.request,"json",this.fileHelper);if(this.path)return true;throw this.markError(new Error(`Couldn't resolve the Component "${this.request}" relative to "${this.originModule.path}"`))}serialize(){return Object.assign(Object.assign({},super.serialize()),{isPlugin:this.isPlugin})}constructor(name,request,originModule,fileHelper){super("Component",request,originModule);this.name=name;this.fileHelper=fileHelper;this.isPlugin=false;this.isUseExtenedLib=false;this.from="json"}};let SubPackageDirIDep=class SubPackageDirIDep extends IDep{async resolve(){this.clearError();this.path=null;if(this.fileHelper.existDir(this.config.root)){this.path=this.request;return true}throw this.markError(new Error(`The subpackage directory "${this.config.root}" doesn't exist`))}serialize(){return Object.assign(Object.assign({},super.serialize()),{config:this.config})}constructor(config,originModule,fileHelper){super("SubPackage",config.root.endsWith("/")?config.root:config.root+"/",originModule);this.fileHelper=fileHelper;this.config=config;this.from="json"}};let SubPackageIDep=class SubPackageIDep extends IDep{async resolve(){this.clearError();this.path=null;if(this.fileHelper.existDir(this.config.root)||this.fileHelper.existFile(this.config.root)){this.path=this.request;return true}throw this.markError(new Error(`The subpackage directory or file "${this.config.root}" doesn't exist`))}serialize(){return Object.assign(Object.assign({},super.serialize()),{config:this.config})}constructor(config,originModule,fileHelper){super("SubPackage",config.root.endsWith("/")||config.root.endsWith(".js")?config.root:config.root+"/",originModule);this.fileHelper=fileHelper;this.config=config;this.from="json"}};let PageIDep=class PageIDep extends IDep{async resolve(){return true}constructor(request,originModule,fileHelper){super("Page",request,originModule);this.fileHelper=fileHelper;this.from="json";"SubPackage"===originModule.type?this.path=originModule.path+request+".json":this.path=request+".json"}};let ConfigIDep=class ConfigIDep extends IDep{async resolve(){this.clearError();this.path=null;if(this.fileHelper.existFile(this.request)){this.path=this.request;return true}throw this.markError(new Error(`The config file "${this.request}" doesn't exist`))}constructor(request,originModule,fileHelper,from="json"){super("Config",request,originModule);this.fileHelper=fileHelper;this.from=from}};let WorkerIDep=class WorkerIDep extends IDep{async resolve(){this.clearError();this.path=null;if(this.fileHelper.existDir(this.request)){this.path=this.request;return true}throw this.markError(new Error(`The worker directory "${this.request}" doesn't exist`))}constructor(request,originModule,fileHelper){super("Worker",request.endsWith("/")?request.slice(0,request.length-1):request,originModule);this.fileHelper=fileHelper;this.from="json"}};let FunctionalPagesIDep=class FunctionalPagesIDep extends IDep{async resolve(){this.clearError();this.path=null;return!!this.fileHelper.existDir(this.request)&&(this.path=this.request,true)}constructor(originModule,fileHelper){super("FunctionalPages","functional-pages",originModule);this.fileHelper=fileHelper;this.from="rule"}};let MainPackageIDep=class MainPackageIDep extends IDep{async resolve(){this.clearError();this.path=null;if(this.fileHelper.exist(this.request)){this.path=this.request;return true}throw this.markError(new Error(`The file ${this.request} doesn't exist`))}constructor(fileHelper){super("MainPackage","app.json",null);this.fileHelper=fileHelper;this.from="rule"}};let PluginPackageIDep=class PluginPackageIDep extends IDep{async resolve(){this.clearError();this.path=null;if(this.fileHelper.exist(this.request)){this.path=this.request;return true}throw this.markError(new Error(`The file ${this.request} doesn't exist`))}constructor(fileHelper){super("PluginPackage","plugin.json",null);this.fileHelper=fileHelper;this.from="rule"}};let GameMainPackageIDep=class GameMainPackageIDep extends IDep{async resolve(){this.clearError();this.path=null;if(this.fileHelper.exist(this.request)){this.path=this.request;return true}throw this.markError(new Error(`The file ${this.request} doesn't exist`))}constructor(fileHelper){super("GameMainPackage","game.json",null);this.fileHelper=fileHelper;this.from="rule"}};let IModule=class IModule{isValid(){return this.mtime===this.fileHelper.mtime(this.path)}addDep(e){this.deps.add(e)}removeDep(e){this.deps.delete(e);const t=e.module;t&&t.parentDeps.delete(e)}removeAllDeps(){this.deps.forEach(e=>{this.removeDep(e)})}addParentDep(dep){dep.module=this;this.parentDeps.add(dep)}markError(type,error){this.errors.push({type:type,error:error})}serialize(){return{id:this.id,type:this.type,path:this.path,parentDeps:Array.from(this.parentDeps).sort((e,t)=>e.originModule.id>t.originModule.id?1:-1).map(e=>e.serialize()),deps:Array.from(this.deps).map(e=>e.serialize()),errors:this.errors.map(e=>({type:e.type,error:e.error instanceof Error?e.error.message:String(e.error)}))}}get childModules(){const e=[];for(const t of this.deps.values())t.module&&e.push(t.module);return e}findChild(type){for(const s of this.deps.values()){const t=s.module;if((t&&t.type)===type){return s.module}}return null}findChildren(type){return this.childModules.filter(t=>t.type===type)}async build(graphContext){return Array.from(this.deps)}constructor(fileHelper,dep){this.parentDeps=new Set;this.deps=new Set;this.warnings=[];this.errors=[];this.mtime=0;this.type=dep.type;if(!dep.path){throw new Error("dep.path is null")}this.path=dep.path;this.id=this.type+":"+this.path;this.parentDeps.add(dep);this.fileHelper=fileHelper;this.mtime=this.fileHelper.mtime(this.path)}};let Component=class Component extends IModule{async build(graphContext){const t=this.path.replace(/\.json$/,"");this.addDep(new ModuleTypeIDep("Wxml",t+".wxml",this,this.fileHelper,false,true));this.addDep(new ModuleTypeIDep("Js",t+".js",this,this.fileHelper,false,true));this.addDep(new ModuleTypeIDep("Wxss",t+".wxss",this,this.fileHelper,false,false));if(this.fileHelper.existFile(this.path)){await this.processJsonDeps()}return Array.from(this.deps)}async loadJSON(filePath){const t=this.fileHelper;try{return await t.getJSON(filePath)}catch(e){this.markError(exports.ModuleErrorType.JSON_PARSE_ERR,e)}return null}async processJsonDeps(){this.config=await this.loadJSON(this.path);const e=this.config;const t=(name,request)=>{if(request.startsWith("plugin://")){const e=/plugin:\/\/([^/]*)\//gi.exec(request);this.usePlugins.add(e[1])}else{const s=new ComponentIDep(name,request,this,this.fileHelper);this.addDep(s)}};if(e&&e.usingComponents){Object.keys(e.usingComponents).forEach(s=>{const i=e.usingComponents[s];t(s,i)})}if(e&&e.componentGenerics){Object.keys(e.componentGenerics).forEach(s=>{if("object"===typeof(e&&e.componentGenerics[s])){const i=(e&&e.componentGenerics[s]).default;if(i){t(`${s}-default`,i);this.useTags.add(`${s}-default`)}}})}}constructor(fileHelper,dep){super(fileHelper,dep);this.config=null;this.usePlugins=new Set;this.useTags=new Set}};let Js=class Js extends IModule{async getNpmOutsideDeps(e){let deps=[],reliable=false;if(e.indexOf("//miniprogram-npm-outsideDeps=")<0&&this.fileHelper.getLocalFileString){e=await this.fileHelper.getLocalFileString(this.path)}if(e.indexOf("//miniprogram-npm-outsideDeps=")>=0){const i=/\/\/miniprogram-npm-outsideDeps=(.*)/.exec(e);if(i)try{deps=JSON.parse(i[1]);reliable=true}catch(e1){console.error(e1);this.markError(exports.ModuleErrorType.JS_RESOLVE_DEPENDENCY_ERR,new Error(`failed collect outsideDeps from miniprogram_npm file, ${e1.message}`))}}return{reliable,deps}}async build(graphContext){let t;try{t=await this.fileHelper.getString(this.path)}catch(e){throw this.markError(exports.ModuleErrorType.FILE_NOT_UTF8,e),e}if(this.path.indexOf("miniprogram_npm")>=0){const{reliable:reliable,deps:deps}=await this.getNpmOutsideDeps(t);if(reliable){for(const e1 of deps){this.addDep(new ModuleTypeIDep("Js",e1,this,this.fileHelper,true,true))}return Array.from(this.deps)}}const isLayaGame=graphContext.es6Parser.isLayaGame;let i,r;if(!isLayaGame){let s;i=function(e){const t=RegExp("(?<![\\w|.])import(?![\\w|.])","g"),s=RegExp("(?<![\\w|.])export(?![\\w|.])","g"),i=RegExp("(?<![\\w|.])from(?![\\w|.])","g"),r=RegExp("(?<![\\w|.])require(\\.async)?(?![\\w|.])","g");let lastIndex=-1,hasRequire=false,o=false,h=null;for(;h=t.exec(e);){lastIndex=Math.max(h.index,lastIndex)}for(;h=s.exec(e);){lastIndex=Math.max(h.index,lastIndex);o=true}for(;h=r.exec(e);){lastIndex=Math.max(h.index,lastIndex);hasRequire=true}if(o){i.lastIndex=lastIndex;h=i.exec(e);if(h){lastIndex=Math.max(h.index,lastIndex)}}return{lastIndex,hasRequire}}(t);try{s=_t(t,{ecmaVersion:"latest",ranges:true,locations:true,allowHashBang:true,sourceType:"module",sourceFile:this.path,skipStatementPos:i.lastIndex})}catch(e2){const t1=new Error(`parse code (${this.path}) failed: ${e2.message}`);throw this.markError(exports.ModuleErrorType.JS_PARSE_ERR,t1),t1}r=new _parser.default(graphContext.es6Parser).parse(s)}if(isLayaGame||i&&i.hasRequire&&r&&r.assignRequire){let s1;try{s1=_t(t,{ecmaVersion:"latest",ranges:true,locations:true,allowHashBang:true,sourceType:"module",sourceFile:this.path})}catch(e3){const t2=new Error(`parse code (${this.path}) failed: ${e3.message}`);throw this.markError(exports.ModuleErrorType.JS_PARSE_ERR,t2),t2}r=new _parser.default(graphContext.es6Parser).parse(s1)}if(r){const a=r.deps.filter(e=>"normal"===e.type),n=r.deps.filter(e=>"context"===e.type);a.forEach(async e=>{this.addDep(new ModuleTypeIDep("Js"===this.type?"Js":"Wxs",e.request,this,this.fileHelper,true,true))});n.forEach(async e=>{this.addDep(new ContextModuleIDep({type:"Js"===this.type?"Js":"Wxs",request:e.context,regExp:e.regExp,originModule:this,fileHelper:this.fileHelper,needResolve:true,necessary:true,from:"file"}))});r.errors&&r.errors.forEach(e=>{this.markError(exports.ModuleErrorType.JS_RESOLVE_DEPENDENCY_ERR,e)});r.warnings&&r.warnings.forEach(e=>{let t,s,i;this.markError(exports.ModuleErrorType.JS_RESOLVE_DEPENDENCY_ERR,new Error(`${e.msg} (${null===(t=e.loc)||undefined===t?undefined:t.source} ${null===(s=e.loc)||undefined===s?undefined:s.end.line}:${null===(i=e.loc)||undefined===i?undefined:i.end.column})`))});this.collectUsePlugins(t);this.collectRequireUsePlugins(t);if(this.errors.length>0||r.errors.length>0){throw this.errors[0].error}}return Array.from(this.deps)}collectRequireUsePlugins(e){const t=/requirePlugin\(\s*([`'"])([^`'"]+)\1\s*\)/gm;let s=null;for(;s=t.exec(e);){this.usePlugins.add(s[2])}}collectUsePlugins(e){const t=/plugin(-private)?:\/\/([^/]*)\//gi;let s=null;for(;s=t.exec(e);){this.usePlugins.add(s[2])}}constructor(fileHelper,dep){super(fileHelper,dep);this.usePlugins=new Set}};const moduleMap={MainPackage:class extends IModule{get subpackages(){return Array.from(this.deps).filter(e=>"SubPackage"===e.type&&e.module).map(e=>e.module)}addParentDep(dep){super.addParentDep(dep);dep.originModule=this}async build(graphContext){let t;this.addDep(new ModuleTypeIDep("Js","app.js",this,this.fileHelper,false,true));this.addDep(new ModuleTypeIDep("Wxss","app.wxss",this,this.fileHelper,false,false));const i=await this.loadAppJSON();this.config=i;graphContext.setResolveAlias(i.resolveAlias);this.trackUseExtendedLibs(i,graphContext);null===(t=i.pages)||undefined===t||t.forEach(e=>{this.addDep(new PageIDep(e,this,this.fileHelper))});if(i.usingComponents){Object.keys(i.usingComponents).forEach(e=>{const t=i.usingComponents[e];const r=new ComponentIDep(e,t,this,this.fileHelper);this.addDep(r)})}i.subPackages&&i.subPackages.forEach(e=>{this.addDep(new SubPackageDirIDep(e,this,this.fileHelper))});i.subpackages&&i.subpackages.forEach(e=>{this.addDep(new SubPackageDirIDep(e,this,this.fileHelper))});i.workers&&this.addDep(new WorkerIDep(i.workers,this,this.fileHelper));i.sitemapLocation?this.addDep(new ConfigIDep(i.sitemapLocation,this,this.fileHelper)):this.fileHelper.existFile("sitemap.json")&&this.addDep(new ConfigIDep("sitemap.json",this,this.fileHelper,"rule"));i.themeLocation&&this.addDep(new ConfigIDep(i.themeLocation,this,this.fileHelper));i.tabBar&&true===i.tabBar.custom&&this.addDep(new ComponentIDep("custom-tab-bar","custom-tab-bar/index",this,this.fileHelper));i.plugins&&this.trackPlugins(i.plugins);this.fileHelper.existFile("project.config.json")&&this.addDep(new ConfigIDep("project.config.json",this,this.fileHelper,"rule"));this.fileHelper.existFile("ext.json")&&this.addDep(new ConfigIDep("ext.json",this,this.fileHelper,"rule"));this.addDep(new FunctionalPagesIDep(this,this.fileHelper));return Array.from(this.deps)}async reuse(graphContext){this.config&&(this.config.resolveAlias&&graphContext.setResolveAlias(this.config.resolveAlias),this.config.useExtendedLib&&this.trackUseExtendedLibs(this.config,graphContext))}trackPlugins(e){for(const t of Object.values(e)){t.export&&this.addDep(new ModuleTypeIDep("Js",t.export,this,this.fileHelper,false,true))}}trackUseExtendedLibs(e,graphContext){let s;if(e.useExtendedLib){for(const i in e.useExtendedLib)if(e.useExtendedLib[i]){const e1={kbone:{packages:["miniprogram-element","miniprogram-render"]},weui:{packages:["weui-miniprogram"]}};"kbone"!==i&&"weui"!==i||null===(s=graphContext.miniprogram.useExtendedPackages)||undefined===s||s.push(...e1[i].packages)}}}async loadAppJSON(){const e=this.fileHelper,t="app.json";if(!e.existFile(t)){throw new Error("Couldn't find the app.json file")}try{return await e.getJSON(t)}catch(e1){throw new Error(`Couldn't parse the app.json file: ${e1.message}`)}}constructor(fileHelper,dep){super(fileHelper,dep);dep.originModule=this}},SubPackage:class extends IModule{isValid(){return this.mtime===this.fileHelper.mtime("app.json")}async build(graphContext){this.config.pages.forEach(e=>{this.addDep(new PageIDep(e,this,this.fileHelper))});this.config.plugins&&this.trackPlugins(this.config.plugins);return Array.from(this.deps)}trackPlugins(e){for(const t of Object.values(e))t.export&&this.addDep(new ModuleTypeIDep("Js",t.export,this,this.fileHelper,true,true))}constructor(fileHelper,dep){super(fileHelper,dep);this.config=dep.config;this.mtime=this.fileHelper.mtime("app.json")}},Page:class extends Component{constructor(fileHelper,dep){super(fileHelper,dep)}},Component:Component,Wxml:class extends IModule{async build(graphContext){let t;try{t=await this.fileHelper.getString(this.path)}catch(e){throw this.markError(exports.ModuleErrorType.FILE_NOT_UTF8,e),e}(function(e){if(e.indexOf("require")>=0&&e.indexOf("wxs")>=0)return(0,_wxmlParser.default)(e);if(/<(import|include|wxs)[^>]*\{\{[^>]*>/gi.test(e))return(0,_wxmlParser.default)(e);const t=e.replace(/<!--([\s\S]*?)-->/g,"");const s=/<(import|include|wxs)[^>]*src\s*=\s*['"]([^'"]*)['"][^>]*>/gi,i=[];let r=null;for(;r=s.exec(t);)i.push({type:"wxs"===r[1]?"wxs":"wxml",route:r[2]});return i})(t).forEach(e=>{"wxs-inline"===e.type?this.collectWxs(e.code):this.addDep(new ModuleTypeIDep("wxml"===e.type?"Wxml":"Wxs",e.route,this,this.fileHelper,true,true))});this.collectUsePlugins(t);this.collectUseTags(t);return Array.from(this.deps)}collectWxs(e){let t;try{t=_t(e,{ecmaVersion:"latest",ranges:true,locations:true,allowHashBang:true,sourceType:"module",sourceFile:this.path})}catch(e1){const t1=new Error(`parse code (${this.path}) failed: ${e1.message}`);throw this.markError(exports.ModuleErrorType.JS_PARSE_ERR,t1),t1}const s=new _parser.default({isLayaGame:false}).parse(t),i=s.deps.filter(e=>"normal"===e.type),r=s.deps.filter(e=>"context"===e.type);i.forEach(async e=>{this.addDep(new ModuleTypeIDep("Wxs",e.request,this,this.fileHelper,true,true))});r.forEach(async e=>{this.addDep(new ContextModuleIDep({type:"Wxs",request:e.context,regExp:e.regExp,originModule:this,fileHelper:this.fileHelper,needResolve:true,necessary:true,from:"file"}))});s.errors&&s.errors.forEach(e=>{this.markError(exports.ModuleErrorType.JS_RESOLVE_DEPENDENCY_ERR,e)});s.warnings&&s.warnings.forEach(e=>{let t,s,i;this.markError(exports.ModuleErrorType.JS_RESOLVE_DEPENDENCY_ERR,new Error(`${e.msg} (${null===(t=e.loc)||undefined===t?undefined:t.source} ${null===(s=e.loc)||undefined===s?undefined:s.end.line}:${null===(i=e.loc)||undefined===i?undefined:i.end.column})`))});if(this.errors.length>0||s.errors.length>0)throw this.errors[0].error}collectUsePlugins(e){const t=/plugin(-private)?:\/\/([^/]*)\//gi;let s=null;for(;s=t.exec(e);){this.usePlugins.add(s[2])}}collectUseTags(e){const t=/<([\w-]+)(\s|>|\/)/g,s=/generic:[\w-]+=['"]?([\w-]+)['"]?/g;let i=null;for(;i=t.exec(e);)this.useTags.add(i[1]);for(;i=s.exec(e);)this.useTags.add(i[1])}constructor(fileHelper,dep){super(fileHelper,dep);this.usePlugins=new Set;this.useTags=new Set}},Wxss:class extends IModule{async build(graphContext){let t;try{t=await this.fileHelper.getString(this.path)}catch(e){throw this.markError(exports.ModuleErrorType.FILE_NOT_UTF8,e),e}try{(function(e,t){const s=function(e){const t=e.lastIndexOf("@import");if(t>=0){let s=1;const i=e.slice(0,t).match(/\n/g);return i&&(s+=i.length),s}return 0}(e);if(s<=0)return[];const i=(0,_wxssParser.default)(e,{source:t.path,skipRuleLineno:s}),r=[];(i.stylesheet?i.stylesheet.rules:[]).forEach(e=>{if(function(e){return"import"===e.type}(e)&&e.import){const t=e.import.replace(/'|"/g,"");r.push(t)}});return r})(t,{path:this.path}).forEach(async e=>{this.addDep(new ModuleTypeIDep("Wxss",e,this,this.fileHelper,true,true))})}catch(e1){throw this.markError(exports.ModuleErrorType.WXSS_PARSE_ERR,e1),e1}return Array.from(this.deps)}constructor(fileHelper,dep){super(fileHelper,dep)}},Js:Js,Wxs:class extends Js{constructor(fileHelper,dep){super(fileHelper,dep)}},Plugin:Js,Worker:class extends IModule{async build(graphContext){const t=this.path;this.fileHelper.getFileList(t+"/",".js").forEach(async e=>{this.addDep(new ModuleTypeIDep("Js",e,this,this.fileHelper,false,true))});return Array.from(this.deps)}isValid(){return false}constructor(fileHelper,dep){super(fileHelper,dep)}},FunctionalPages:class extends IModule{async build(graphContext){const t=_path.posix.join(this.path,"request-payment.js");this.fileHelper.existFile(t)&&this.addDep(new ModuleTypeIDep("Js",t,this,this.fileHelper,false,true));return Array.from(this.deps)}isValid(){return false}constructor(fileHelper,dep){super(fileHelper,dep)}},ContextModule:class extends IModule{async build(graphContext){const t=this.dep.context,s=this.dep.regExp;const i=async e=>{let r=await this.fileHelper.readdir(e);r=r.filter(e=>0!==e.indexOf("."));let n=[];await Promise.all(r.map(async r=>{const o=_path.posix.join(e,r);try{const e1=await this.fileHelper.stat(o);if(e1&&e1.isDirectory){const e2=await i(o);n=n.concat(e2)}else{if(!(e1&&e1.isFile)||!o.endsWith("."+this.dep.fileType)){return}{const e3="."+o.substr(t.length).replace(/\\/g,"/"),i1=e3.replace(/\.(js|wxs)$/,"");(s.test(e3)||s.test(i1))&&n.push(o)}}}catch(e4){if("ENOENT"===e4.code)return;throw e4}}));return n};(await i(t)).forEach(async e=>{this.addDep(new ModuleTypeIDep("js"===this.dep.fileType?"Js":"Wxs",e,this,this.fileHelper,false,true))});return Array.from(this.deps)}isValid(){return false}constructor(fileHelper,dep){super(fileHelper,dep);this.dep=dep}},Config:class extends IModule{async build(graphContext){return[]}constructor(fileHelper,dep){super(fileHelper,dep)}},PluginPackage:class extends IModule{async build(egraphContext){const s=await this.loadPluginJSON();if(s){this.config=s;Object.values(s.pages).forEach(e=>{this.addDep(new PageIDep(e,this,this.fileHelper))});s.usingComponents&&Object.keys(s.usingComponents).forEach(e=>{const i=s.usingComponents[e];const r=new ComponentIDep(e,i,this,this.fileHelper);this.addDep(r)});s.publicComponents&&Object.keys(s.publicComponents).forEach(e=>{const i=s.publicComponents[e];const r=new ComponentIDep(e,i,this,this.fileHelper);this.addDep(r)});s.themeLocation&&this.addDep(new ConfigIDep(s.themeLocation,this,this.fileHelper));s.main&&this.addDep(new ModuleTypeIDep("Js",s.main,this,this.fileHelper,false,true))}return Array.from(this.deps)}async loadPluginJSON(){const e=this.fileHelper,t="plugin.json";if(e.existFile(t))try{return await e.getJSON(t)}catch(e1){console.error(e1);this.markError(exports.ModuleErrorType.JSON_PARSE_ERR,e1)}else{this.markError(exports.ModuleErrorType.PLUGIN_JSON_NOT_FOUND,new Error("Couldn't find the plugin.json file"))}}constructor(fileHelper,dep){super(fileHelper,dep);dep.originModule=this}},GameMainPackage:class extends IModule{get subpackages(){return Array.from(this.deps).filter(e=>"GameSubPackage"===e.type&&e.module).map(e=>e.module)}addParentDep(dep){super.addParentDep(dep);dep.originModule=this}async build(geraphContext){this.addDep(new ModuleTypeIDep("Js","game.js",this,this.fileHelper,false,true));const s=await this.loadGameJSON();if(s){this.config=s;s.subPackages&&s.subPackages.forEach(e=>{this.addDep(new SubPackageIDep(e,this,this.fileHelper))});s.subpackages&&s.subpackages.forEach(e=>{this.addDep(new SubPackageIDep(e,this,this.fileHelper))});s.workers&&this.addDep(new WorkerIDep(s.workers,this,this.fileHelper));s.openDataContext&&this.addDep(new ModuleTypeIDep("Js",_path.posix.join(s.openDataContext,"index.js"),this,this.fileHelper,false,true));this.fileHelper.existFile("project.config.json")&&this.addDep(new ConfigIDep("project.config.json",this,this.fileHelper,"rule"))}return Array.from(this.deps)}async loadGameJSON(){const e=this.fileHelper,t="game.json";if(!e.existFile(t))throw new Error("Couldn't find the game.json file");try{return await e.getJSON(t)}catch(e1){throw new Error(`Couldn't parse the game.json file: ${e1.message}`)}}constructor(fileHelper,dep){super(fileHelper,dep);dep.originModule=this}},GameSubPackage:class extends IModule{isValid(){return this.mtime===this.fileHelper.mtime("game.json")}async build(geraphContext){this.fileHelper.existFile(this.config.root)?this.addDep(new ModuleTypeIDep("Js",this.config.root,this,this.fileHelper,false,true)):this.addDep(new ModuleTypeIDep("Js",_path.posix.join(this.config.root,"game.js"),this,this.fileHelper,false,true));return Array.from(this.deps)}constructor(fileHelper,dep){super(fileHelper,dep);this.config=dep.config;this.mtime=this.fileHelper.mtime("game.json")}}};function as(fileHelper,dep){return new moduleMap[dep.type](fileHelper,dep)}